Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class FilterHolder

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.servlet.Holder
              org.mortbay.jetty.servlet.FilterHolder

All Implemented Interfaces:
  java.io.Serializable, LifeCycle

    public class FilterHolder

extends Holder

Author:
  Greg Wilkins
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.Holder
`_class, _className, _displayName, _extInstance, _initParams, _name, _servletHandler`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`FilterHolder()` Constructor for Serialization.
`FilterHolder(java.lang.Class filter)` Constructor for Serialization.
`FilterHolder(javax.servlet.Filter filter)` Constructor for existing filter.

Method Summary
`void` | `destroyInstance(java.lang.Object o)`
`static int` | `dispatch(java.lang.String type)` Dispatch type from name
`void` | `doStart()`
`void` | `doStop()`
`javax.servlet.Filter` | `getFilter()`
`void` | `setFilter(javax.servlet.Filter filter)`
`java.lang.String` | `toString()`

Methods inherited from class org.mortbay.jetty.servlet.Holder
`getClassName, getDisplayName, getHeldClass, getInitParameter, getInitParameterNames, getInitParameters, getName, getServletHandler, newInstance, setClassName, setDisplayName, setHeldClass, setInitParameter, setInitParameters, setName, setServletHandler`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterHolder

    public FilterHolder()

  Constructor for Serialization.

### FilterHolder

    public FilterHolder(java.lang.Class filter)

  Constructor for Serialization.

### FilterHolder

    public FilterHolder(javax.servlet.Filter filter)

  Constructor for existing filter.

Method Detail

### dispatch

    public static int dispatch(java.lang.String type)

  Dispatch type from name

### doStart

    public void doStart()
                 throws java.lang.Exception

  Overrides:
    `doStart` in class `Holder`
  Throws:
    `java.lang.Exception`

### doStop

    public void doStop()

  Overrides:
    `doStop` in class `Holder`

### destroyInstance

    public void destroyInstance(java.lang.Object o)
                         throws java.lang.Exception

  Overrides:
    `destroyInstance` in class `Holder`
  Throws:
    `java.lang.Exception`

### setFilter

    public void setFilter(javax.servlet.Filter filter)

### getFilter

    public javax.servlet.Filter getFilter()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Holder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.